Bug 672801 - Review Request: perl-Perl-OSType - Map Perl operating system names to generic types
Summary: Review Request: perl-Perl-OSType - Map Perl operating system names to generic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 672665
TreeView+ depends on / blocked
 
Reported: 2011-01-26 13:03 UTC by Paul Howarth
Modified: 2011-03-15 18:25 UTC (History)
3 users (show)

Fixed In Version: perl-Perl-OSType-1.002-3.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-15 18:21:33 UTC
ppisar: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-01-26 13:03:30 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Perl-OSType/branches/fedora/perl-Perl-OSType.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Perl-OSType/perl-Perl-OSType-1.002-2.fc15.src.rpm

Description:
Modules that provide OS-specific behaviors often need to know if the current
operating system matches a more generic type of operating systems. For example,
'linux' is a type of 'Unix' operating system and so is 'freebsd'.

This module provides a mapping between an operating system name as given by $^O
and a more generic type. The initial version is based on the OS type mappings
provided in Module::Build and ExtUtils::CBuilder (thus, Microsoft operating
systems are given the type 'Windows' rather than 'Win32').


The EPEL-4/EPEL-5 builds of this package depend on perl-Test-Portability-Files, perl-Test-CPAN-Meta and perl-Parse-CPAN-Meta which are en route through the QA process so it'll be a month or so before they're buildable in the absence of some people testing them and giving them enough karma to get to stable earlier.

Comment 1 Petr Pisar 2011-01-26 15:24:04 UTC
The spec file in SRPM uses %{__perl} which is the only difference to the standalone spec file. I will review the bundled spec file.

Comment 2 Petr Pisar 2011-01-26 18:02:51 UTC
Source tar ball is original. Ok.
Summary verified from lib/Perl/OSType.pm. Ok.
Description verified from lib/Perl/OSType.pm. Ok.
License verified from lib/Perl/OSType.pm. Ok.
BuildArch: noarch verified (no XS). Ok.

Patches reviewed. Ok.
Note: If you are going to keep Fedora and EPEL packages synchronized, the conditional patching is Ok. Otherwise I would prefer to remove useless patches from Fedora spec file.

FIX: BuildRequire perl(File::Temp) (t/00-compile.t:16) as it can dual-live in the future (http://search.cpan.org/~tjenness/File-Temp/).
FIX: BuildRequire perl(constant) (t/OSType.t:6) as it can dual-live in the future (http://search.cpan.org/~saper/constant/).
FIX: BuildRequire perl(Exporter) (lib/Perl/OSType.pm:17) as it can dual-live in the future (http://search.cpan.org/~ferreira/Exporter/).

BuildRequires perl(Test::CPAN::Meta), perl(Test::Pod), perl(Test::Pod::Coverage), perl(Test::Portability::Files) needed only for maintainer tests that are explicitly run. Version constrains miss as the tests are optional. Ok.

All tests pass. Ok.

$ rpmlint perl-Perl-OSType.spec ../SRPMS/perl-Perl-OSType-1.002-2.fc15.src.rpm ../RPMS/noarch/perl-Perl-OSType-1.002-2.fc15.noarch.rpm 
perl-Perl-OSType.src: W: spelling-error %description -l en_US linux -> Linux
perl-Perl-OSType.src: W: spelling-error %description -l en_US freebsd -> freebased, freebase, freebie
perl-Perl-OSType.noarch: W: spelling-error %description -l en_US linux -> Linux
perl-Perl-OSType.noarch: W: spelling-error %description -l en_US freebsd -> freebased, freebase, freebie
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

The words are literals. Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Perl-OSType-1.002-2.fc15.noarch.rpm
drwxr-xr-x    2 root    root                        0 Jan 26 17:30 /usr/share/doc/perl-Perl-OSType-1.002
-rw-r--r--    1 root    root                     1009 Nov 16 15:02 /usr/share/doc/perl-Perl-OSType-1.002/Changes
-rw-r--r--    1 root    root                    18252 Nov 16 15:02 /usr/share/doc/perl-Perl-OSType-1.002/LICENSE
-rw-r--r--    1 root    root                     1850 Nov 16 15:02 /usr/share/doc/perl-Perl-OSType-1.002/README
-rw-r--r--    1 root    root                     2630 Jan 26 17:30 /usr/share/man/man3/Perl::OSType.3pm.gz
drwxr-xr-x    2 root    root                        0 Jan 26 17:30 /usr/share/perl5/Perl
-rw-r--r--    1 root    root                     3636 Nov 16 15:02 /usr/share/perl5/Perl/OSType.pm
Files layout and permission Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Perl-OSType-1.002-2.fc15.noarch.rpm | sort | uniq -c
      1 perl(Exporter)  
      1 perl(:MODULE_COMPAT_5.12.2)  
      1 perl(strict)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Perl-OSType-1.002-2.fc15.noarch.rpm | sort | uniq -c
      1 perl(Perl::OSType) = 1.002
      1 perl-Perl-OSType = 1.002-2.fc15
Binary provides Ok.

$ resolvedeps-f15 ../RPMS/noarch/perl-Perl-OSType-1.002-2.fc15.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2743701). Ok.

Othrwise package is in line with Fedora and perl packaging guidelines.


Please correct all `FIX' prefixed issues and submit new spec file.
Resolution: Package NOT approved.

Comment 4 Petr Pisar 2011-01-27 09:30:47 UTC
Spec file changes:

--- perl-Perl-OSType.spec       2011-01-26 16:19:02.353995456 +0100
+++ perl-Perl-OSType.spec.1     2011-01-26 19:34:59.000000000 +0100
@@ -1,12 +1,12 @@
 # We don't really need ExtUtils::MakeMaker > 6.31
-%global old_eumm %(%{__perl} -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.31 ? 1 : 0;' 2>/dev/null || echo 0)
+%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.31 ? 1 : 0;' 2>/dev/null || echo 0)

 # Test suite needs patching if we have Test::More < 0.88
-%global old_test_more %(%{__perl} -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.88 ? 1 : 0;' 2>/dev/null || echo 0)
+%global old_test_more %(perl -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.88 ? 1 : 0;' 2>/dev/null || echo 0)

 Name:          perl-Perl-OSType
 Version:       1.002
-Release:       2%{?dist}
+Release:       3%{?dist}
 Summary:       Map Perl operating system names to generic types
 License:       GPL+ or Artistic
 Group:         Development/Libraries
@@ -16,7 +16,10 @@
 Patch1:                Perl-OSType-1.002-old-Test::More.patch
 BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:     noarch
+BuildRequires: perl(constant)
+BuildRequires: perl(Exporter)
 BuildRequires: perl(ExtUtils::MakeMaker)
+BuildRequires: perl(File::Temp)
 # Pod::Coverage::TrustPod not yet in EPEL-4
 %if "%{?rhel}" != "4"
 BuildRequires: perl(Pod::Coverage::TrustPod)
@@ -75,6 +78,10 @@
 %{_mandir}/man3/Perl::OSType.3pm*

 %changelog
+* Wed Jan 26 2011 Paul Howarth <paul@city-fan.org> - 1.002-3
+- BR: perl(constant), perl(Exporter), perl(File::Temp) in case they are
+  dual-lived at some point (#672801)
+
 * Wed Jan 26 2011 Paul Howarth <paul@city-fan.org> - 1.002-2
 - Sanitize for Fedora submission


> FIX: BuildRequire perl(File::Temp) (t/00-compile.t:16) as it can dual-live in
> the future (http://search.cpan.org/~tjenness/File-Temp/).
+BuildRequires: perl(File::Temp)
Ok.

> FIX: BuildRequire perl(constant) (t/OSType.t:6) as it can dual-live in the
> future (http://search.cpan.org/~saper/constant/).
+BuildRequires: perl(constant)
Ok.

> FIX: BuildRequire perl(Exporter) (lib/Perl/OSType.pm:17) as it can dual-live
> in the future (http://search.cpan.org/~ferreira/Exporter/).
+BuildRequires: perl(Exporter)
Ok.


$ rpmlint perl-Perl-OSType.spec ../SRPMS/perl-Perl-OSType-1.002-3.fc15.src.rpm ../RPMS/noarch/perl-Perl-OSType-1.002-3.fc15.noarch.rpm 
perl-Perl-OSType.src: W: spelling-error %description -l en_US linux -> Linux
perl-Perl-OSType.src: W: spelling-error %description -l en_US freebsd -> freebased, freebase, freebie
perl-Perl-OSType.noarch: W: spelling-error %description -l en_US linux -> Linux
perl-Perl-OSType.noarch: W: spelling-error %description -l en_US freebsd -> freebased, freebase, freebie
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

rpmlint Ok.

Package builds in F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2745094). Ok.


Resolution: Package APPROVED.

Comment 5 Paul Howarth 2011-01-27 10:19:23 UTC
Just for future reference, my packages for submission are maintained in an svn repo so you can check the revision history using regular svn commands, e.g.

SPECREPO=http://subversion.city-fan.org/repos/cfo-repo/perl-Perl-OSType
svn log $SPECREPO/branches/fedora/perl-Perl-OSType.spec
svn diff -c 1749 $SPECREPO/branches/fedora/perl-Perl-OSType.spec

Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-Perl-OSType
Short Description: Map Perl operating system names to generic types
Owners: pghmcfc
Branches: f13 f14 el4 el5 el6
InitialCC: perl-sig

Comment 6 Jason Tibbitts 2011-01-27 15:06:16 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-27 16:37:38 UTC
perl-Perl-OSType-1.002-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.fc13

Comment 8 Fedora Update System 2011-01-27 16:37:45 UTC
perl-Perl-OSType-1.002-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.el6

Comment 9 Fedora Update System 2011-01-27 16:37:51 UTC
perl-Perl-OSType-1.002-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.fc14

Comment 10 Fedora Update System 2011-02-04 19:52:49 UTC
perl-Perl-OSType-1.002-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-04 19:53:08 UTC
perl-Perl-OSType-1.002-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-02-13 00:21:35 UTC
perl-Perl-OSType-1.002-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-27 18:57:57 UTC
Package perl-Perl-OSType-1.002-3.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Perl-OSType-1.002-3.el4'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.el4
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-02-27 20:29:11 UTC
Package perl-Perl-OSType-1.002-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Perl-OSType-1.002-3.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.el5
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2011-03-01 00:00:32 UTC
perl-Perl-OSType-1.002-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Perl-OSType'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-3.el4

Comment 16 Fedora Update System 2011-03-15 18:21:27 UTC
perl-Perl-OSType-1.002-3.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 17 Fedora Update System 2011-03-15 18:25:46 UTC
perl-Perl-OSType-1.002-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.